bug-parted
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#17107: [PATCH 2/4] tests: Fix the t0281 test to respond to the backu


From: Brian C. Lane
Subject: bug#17107: [PATCH 2/4] tests: Fix the t0281 test to respond to the backup GPT location question
Date: Wed, 26 Mar 2014 10:56:20 -0700

This fixes the test so that it will fix the backup GPT location as well
as expand move the LastUsableLBA to cover the larger disk.

* tests/t0281-gpt-grow.sh: Add backup GPT prompt
---
 tests/t0281-gpt-grow.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/tests/t0281-gpt-grow.sh b/tests/t0281-gpt-grow.sh
index e373578..44a743b 100644
--- a/tests/t0281-gpt-grow.sh
+++ b/tests/t0281-gpt-grow.sh
@@ -53,6 +53,7 @@ mv out o2 && sed -e "s,/.*/$dev,DEVICE,;s,
   *
,,g;s, $,," \
 
 # check for expected diagnostic
 cat <<EOF > exp || fail=1
+Error: The backup GPT table is not at the end of the disk, as it should be.  
Fix, by moving the backup to the end (and removing the old backup)?
 Warning: Not all of the space available to DEVICE appears to be used, you can 
fix the GPT to use all of the space (an extra 500 blocks) or continue with the 
current setting?
 Model:  (file)
 Disk DEVICE: 2816kB
@@ -66,7 +67,7 @@ EOF
 compare exp out || fail=1
 
 # now we fix
-printf 'f\n' | parted ---pretend-input-tty $dev print > out 2>&1 || fail=1
+printf 'f\nf\n' | parted ---pretend-input-tty $dev print > out 2>&1 || fail=1
 
 # Transform the actual output, to avoid spurious differences when
 # $PWD contains a symlink-to-dir.  Also, remove the ^M      ...^M bogosity.
@@ -76,6 +77,8 @@ mv out o2 && sed -e "s,/.*/$dev,DEVICE,;s,
   *
,,g;s, $,," \
 
 # check for expected diagnostic
 cat <<EOF > exp || fail=1
+Error: The backup GPT table is not at the end of the disk, as it should be.  
Fix, by moving the backup to the end (and removing the old backup)?
+Fix/Ignore? f
 Warning: Not all of the space available to DEVICE appears to be used, you can 
fix the GPT to use all of the space (an extra 500 blocks) or continue with the 
current setting?
 Fix/Ignore? f
 Model:  (file)
-- 
1.8.5.3






reply via email to

[Prev in Thread] Current Thread [Next in Thread]